/*
 * jQuery SlideUp menu v1.0 - http://adis.ro/jquery/slideup/
 *
 * TERMS OF USE - jQuery Slide Up Menu
 * 
 * Open source under the BSD License. 
 * 
 * Copyright © 2011 Adi Ban
 * All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without modification, 
 * are permitted provided that the following conditions are met:
 * 
 * Redistributions of source code must retain the above copyright notice, this list of 
 * conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright notice, this list 
 * of conditions and the following disclaimer in the documentation and/or other materials 
 * provided with the distribution.
 * 
 * Neither the name of the author nor the names of contributors may be used to endorse 
 * or promote products derived from this software without specific prior written permission.
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY 
 * EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
 * COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
 * GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED 
 * AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 * NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED 
 * OF THE POSSIBILITY OF SUCH DAMAGE. 
 *
*/
(function($){  
  $.fn.slideupmenu = function(options){
    var opts = jQuery.extend({ slideUpSpeed: 500, slideDownSpeed: 500, ease: "easeInOutCubic", stopQueue: true }, options);
    var element = this;  
    
    $(this).find('li').unbind('click mouseenter mouseleave');
    $(this).find('ul.top-menu-main').css({'cursor':'pointer'});
    $(this).find('ul.top-menu-main > li').css({
      'position':'relative',
      'float':'left',
      'list-style':'none'
    });
    $(this).find('ul.top-menu-main > li > a').css({
      'display':'block'
    });
    $(this).find('ul.top-submenu').css({
      'display':'none'
    }).css({
      'bottom': $('ul.top-menu-main > li').height()+'px',
      'display':'none',
      'min-width':'100%',
      'position':'absolute',
      'padding':'0px',
      'margin':'0px',
      'white-space':'nowrap'
    });
    
    $(this).find('ul.top-submenu > li').css({
      'list-style':'none'
    });
    
     $(this).find('ul.top-submenu').css({
      'display':'none'
    }).css({'bottom': $('ul.top-menu-main > li').height()+'px'});
      
    $(this).find('ul.top-submenu > li').hover(function(){
      $(this).addClass('hover');
    }, function() {
      $(this).removeClass('hover');
    });
    
    $(this).find('ul.top-menu-main > li').hover(function(){
      var $o = $(this).find('ul').css('width',$(this).find('ul').width()+'px');
      if (opts.stopQueue) $o = $o.stop(true, true);
      $o.slideDown(opts.slideUpSpeed, opts.ease);
    }, function() {
      var $o = $(this).find('ul');
      if (opts.stopQueue) $o = $o.stop(true, true);
      $o.slideUp(opts.slideDownSpeed, opts.ease);
    });
  }
})(jQuery);